<? if ( ! _cs($this->html_cache_key) ): ?>

<?
	$rows = array();
	$config = Zend_Registry::get('escorts_config');
	/*$banners = Zend_Registry::get('banners');
	echo $banners['funcs'];*/

	$prem_count = count($this->premiums);
	/*for ( $i = 0; $i < $prem_count; $i++ ) {
		array_unshift($this->escorts, null);
	}*/
	
	for ( $i = 0; $i < ceil(count($this->escorts) / $config['perRow']); $i++ ) {
		$rows[] = array_slice($this->escorts, $i * $config['perRow'], $config['perRow']);
	}

	foreach ( $rows as $i => $escorts ) {
		foreach ( $escorts as $j => $escort ) {
			if ( is_null($escort) ) {
				unset($rows[$i][$j]);
			}
		}
	}

	$this->defines = Zend_Registry::get('defines');
	
	$list_type = 'grid';
	$grid_btn_class = 'grid_btn_act';
	$list_btn_class = 'list_btn';
	$xl_btn_class = 'xl_btn';
	$thumb_size = 'thumb';
	
	if ( isset($_COOKIE['list_type']) && $_COOKIE['list_type'] ) {
		$list_type = $_COOKIE['list_type'];
		
		if ( $list_type == 'list' ) {
			$grid_btn_class = 'grid_btn';
			$list_btn_class = 'list_btn_act';
			$xl_btn_class = 'xl_btn';
		}
		else if ( $list_type == 'grid' ) {
			$grid_btn_class = 'grid_btn_act';
			$list_btn_class = 'list_btn';
			$xl_btn_class = 'xl_btn';
		}
		else if ( $list_type == 'xl' ) {
			$grid_btn_class = 'grid_btn';
			$list_btn_class = 'list_btn';
			$xl_btn_class = 'xl_btn_act';
			$thumb_size = 'xl_thumb';
		}
	}
?>

<? function ___get_photo_urls_plain(&$photos) {
	foreach ( $photos as $i => $photo ) {
		$photos[$i] = preg_replace('#^.+\/([a-f0-9]+)_.+\.(jpg|png|jpeg|gif)$#', '$1.$2', $photo);
	}

	return implode(',', $photos);
} ?>


<div <?= ($this->is_main_page) ? 'id="premium"' : '' ?> class="escorts gl_sw <?= $list_type ?>">
	
	<div class="list_grid_switcher <? if ( $prem_count > 0  ): ?>pr<? endif; ?>">
		<a class="<?= $grid_btn_class ?>" href="#"></a>
		<a class="<?= $xl_btn_class ?>" href="#"></a>
		<a class="<?= $list_btn_class ?>" href="#"></a>
		<div class="clear"></div>
	</div>
	
	<div class="right_premium_escorts none">
	<? if( count($this->right_premiums)): ?>
	<div class="prem-wrp">
		<? foreach( $this->right_premiums as $i => $escort ): ?>
		<? if ( ! $escort instanceof Model_EscortV2Item ) $escort = new Model_EscortV2Item($escort); ?>
		<div class="ewrp <?= ( count($this->right_premiums) == $i + 1 ) ? 'last' : '' ?>">
			<div class="escort">
				<a class="showname" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'from' => 'right_premiums', 'escort_id' => $escort->id)) ?>"><?= $escort->showname ?></a>
				<div class="wrap">
					<div class="image">
						<span class="premium"></span>
						<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'from' => 'right_premiums', 'escort_id' => $escort->id)) ?>">
							<img src="<?= $escort->getMainPhoto()->getUrl($thumb_size) ?>" />
						</a>
					</div>
				</div>

				<span class="strong"><?= $escort->city ?></span>

				<? $rate = ''; $rates = $escort->getRates(); ?>
				<? if ( array_key_exists(AVAILABLE_INCALL, $rates) ): ?>
					<? $rate = $rates[AVAILABLE_INCALL] ?>
				<? elseif ( array_key_exists(AVAILABLE_OUTCALL, $rates) ): ?>
					<? $rate = $rates[AVAILABLE_OUTCALL] ?>
				<? endif; ?>

				<? $rate_str = ''; ?>
				<? if ( isset($one_h_outcall_rate->time) ): ?>
					<? $rate_str = $one_h_outcall_rate->time . 'h ' . $DEFINITIONS['currency_symbols'][$one_h_outcall_rate->currency_id] . ' ' . $one_h_outcall_rate->price; ?>
				<? endif; ?>
				<? if( isset($one_h_incall_rate->time) ): ?>
					<? $rate_str = $one_h_incall_rate->time . 'h ' . $DEFINITIONS['currency_symbols'][$one_h_incall_rate->currency_id] . ' ' . $one_h_incall_rate->price; ?>
				<? endif; ?>
				<? if ( strlen($rate_str) ): ?>
					<span class="price"><?= $rate_str ?></span>
				<? endif; ?>
				<div class="clear"></div>

				<? if ( $escort->incall_type || $escort->outcall_type ): ?>
					<? if ( $escort->incall_type ): ?>
					<span class="incall"></span>
					<? endif ?>
					<? if ( $escort->outcall_type ): ?>
					<span class="outcall"></span>
					<? endif ?>
					<div class="clear"></div>
				<? endif; ?>
			</div>
		</div>
		<div class="clear"></div>
		<? endforeach; ?>
	</div>
	<? endif; ?>
	</div><? /*  right_premium_escorts none  */ ?>



	<? if ( $prem_count > 0  ): ?>
	<div class="prem-wrap <?= ! count($this->premiums_fill) ? 'pb10' : '' ?>">
		<div id="premium">
			<div>
				<div class="legend"><div class="i"><?= __('premium_escorts') ?></div></div>
			<? foreach ( $this->premiums as $j => $premium ): ?>
				<?= $this->listSetcard($premium, false, true, $j, $thumb_size) ?>
			<? endforeach ?>
			<? if ( count($this->premiums_fill) ): ?>
				<div class="regulars <?= ($this->one_row) ? 'mtm10' : '' ?>"><div class="i">
						<? if($this->one_row): ?><div class="ii"><? endif; ?>
			<? foreach ( $this->premiums_fill as $bb => $premium ): ?>
				<?= $this->listSetcard($premium, false, true, $bb, $thumb_size) ?>
			<? endforeach ?>
					<? if($this->one_row): ?>
						<? if ( $this->fake_escorts_count > 0 ): ?>
							<? for( $i = 0; $i < $this->fake_escorts_count - count($this->premiums_fill); $i++ ): ?>
								<div class="escort"></div>
							<? endfor; ?>
						<? endif; ?>
						</div>
					<? endif; ?>
					<div class="clear"></div>
				</div></div>
			<? endif ?>
				<div class="clear"></div>
			</div>
		</div><? /*  premium golden  */ ?>
	</div><? /*  prem-wrap  */ ?>
	<? endif ?>

<? if ( count($rows) > 0 ): ?>
<? $c = 1; ?>
<? foreach ( $rows as $i => $row ): ?>
<div class="row <?= ( count($rows) == $i + 1 ) ? 'last' : '' ?>">
	<? /*  if there are premium fills escorts, we need to calculate how many white tops would be on the next row  */ ?>
	<? $D = false; if ( count($this->premiums_fill) > 0 && $i == 0 ): $D = 5 - count($this->premiums_fill) - 1 ?>
	<div class="white-top"><div class="i">
	<? endif ?>
	
	<? foreach ( $row as $esc_k => $escort ): ?>
		<? if ( ! $escort instanceof Model_EscortV2Item ): ?>
			<? $escort = new Model_EscortV2Item($escort);  ?>
		<? endif; ?>

		<?= $this->listSetcard($escort, false, true,$c, $thumb_size) ?>
		<? if ( $D !== false && $esc_k == $D ): ?><div class="clear"></div></div></div><? endif ?>
        <? $c++ ?>
	<? endforeach ?>

	<? if ( $D !== false && count($row) - 1 < $D ): ?>
		<? for( $i = 0; $i < $D; $i++ ): ?>
			<div class="escort"></div>
		<? endfor; ?>
		<div class="clear"></div></div></div>
	<? endif ?>

	

</div><? /*  row  */ ?>
<? endforeach ?>

<? else: ?>
	<? if ( ! count($this->premiums) ): ?>
	<? if ( $this->hh_page ): ?>
	<h2 class="no-hh-escort">
		<img src="<?= _st('no-hh.png') ?>" />
		<span class="t"><?= __('no_hh_text') ?></span>
	</h2>
	<? else: ?>
	<h2 class="no-escort"><?= $this->t('no_escorts_found') ?></h2>
	<? endif; ?>

	<? endif; ?>
	<div class="clear"></div>
<? endif; ?>

</div>

<? if ( ! $this->no_paging ): ?>

<? $pages_count = ceil($this->count / $config['perPage']); ?>
<? if( $pages_count != 1 ): ?>
<div class="paging-list">
	<? $pages = $this->paging($this->count, $this->params['page'], $config['perPage'], 20, 10); ?>
	<? if ( 1 < $this->params['page']): ?>
	<a href="#<? /*$this->getLink('escorts', array('page' => ($this->params['page'] == 2) ? null : $this->params['page'] - 1))*/ ?>" onclick="return Cubix.Filter.Set({ page: '<?= $this->params['page'] - 1 ?>' })">&laquo; <?= $this->t('previous') ?></a>
	<? endif ?>

	<? foreach ( $pages as $page ): ?>

	<? if ( $this->params['page'] == $page ): ?>
	<span class="active"><?= $page ?></span>
	<? else: ?>
	<a href="#<? /*$this->getLink('escorts', array('page' => ($page == 1) ? null : $page))*/ ?>" onclick="return Cubix.Filter.Set({ page: '<?= $page ?>' })"><?= $page ?></a>
	<? endif ?>

	<? endforeach ?>

	<? if ( $pages_count > $this->params['page']): ?>
	<a href="#<? /*$this->getLink('escorts', array('page' => $this->params['page'] + 1))*/ ?>" onclick="return Cubix.Filter.Set({ page: '<?= $this->params['page'] + 1 ?>' })"><?= $this->t('next') ?> &raquo;</a>
	<? endif ?>
</div>
<? endif; ?>

<? endif; ?>

<? if ( $this->is_review ): ?>

<?
$pages_count = ceil($this->count / $config['perPage']);
$uri = $_SERVER['REQUEST_URI'];
$pos = strpos($uri, '&page=');
if ($pos !== FALSE)
	$uri = substr($uri, 0, $pos);
?>
<? if( $pages_count != 1 ): ?>
<div class="paging-list">
	<? $pages = $this->paging($this->count, $this->page, $config['perPage'], 20, 10); ?>
	<? if ( 1 < $this->page): ?>
	<? $this->page == 2 ? $p = null : $p = '&page=' . ($this->page - 1); ?>
	<a href="<?= $uri . $p ?>">&laquo; <?= $this->t('previous') ?></a>
	<? endif ?>

	<? foreach ( $pages as $page ): ?>

	<? if ( $this->page == $page ): ?>
	<span class="active"><?= $page ?></span>
	<? else: ?>
	<? $page == 1 ? $p = null : $p = '&page=' . $page ?>
	<a href="<?= $uri . $p ?>"><?= $page ?></a>
	<? endif ?>

	<? endforeach ?>

	<? if ( $pages_count > $this->page): ?>
	<? $p = '&page=' . ($this->page + 1); ?>
	<a href="<?= $uri . $p ?>"><?= $this->t('next') ?> &raquo;</a>
	<? endif ?>
</div>
<? endif; ?>

<? endif; ?>


<? _ce(); ?>
<? endif; ?>

<span class="go-top gt-<?= $this->lang() ?>"></span>